Module ij
Package ij.gui

# Interface RoiListener

All Known Implementing Classes:
  `EventListener`, `HistogramWindow`, `PlotWindow`

public interface RoiListener
Plugins that implement this interface are notified when an ROI is created, modified or deleted. The Plugins/Utilities/Monitor Events command uses this interface.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`COMPLETED`
`static final int`
`CREATED`
`static final int`
`DELETED`
`static final int`
`EXTENDED`
`static final int`
`MODIFIED`
`static final int`
`MOVED`

## Method Summary

Modifier and Type
Method
Description
`void`
`roiModified(ImagePlus imp, int id)`

## Field Details

### CREATED

static final int CREATED

See Also:
  - Constant Field Values

### MOVED

static final int MOVED

See Also:
  - Constant Field Values

### MODIFIED

static final int MODIFIED

See Also:
  - Constant Field Values

### EXTENDED

static final int EXTENDED

See Also:
  - Constant Field Values

### COMPLETED

static final int COMPLETED

See Also:
  - Constant Field Values

### DELETED

static final int DELETED

See Also:
  - Constant Field Values

## Method Details

### roiModified

void roiModified(ImagePlus imp, int id)